Skip to content

Get a preference profile

GET /api/PreferenceProfiles/{id}

Send your private API key in the X-Api-Key header. Keep it on your server.

Examples use illustrative values. Set FERRETLY_API_KEY in your server environment for JavaScript, Python, and C#. Replace sample IDs, URLs, and profile values before use.

Terminal window
curl --fail -sS -X GET "https://api.ferretly.com/api/PreferenceProfiles/11111111-1111-4111-8111-111111111111" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Accept: application/json"
NameInRequiredTypeDescription
idpathYesstring (uuid)

Success

The subscriber or organization identifier is missing from the request credentials.

The profile does not belong to the authenticated client’s organization.

No preference profile was found with the specified ID.

Illustrative, shortened HTTP 200 response. Optional fields can be absent or null.

{
"id": "11111111-1111-4111-8111-111111111111",
"profile_name": "Integration example",
"isOrganizationDefaultProfile": false
}
Response properties
PropertyTypeDescription
idstring (uuid)The unique identifier for this profile
profile_namestringNullable.
organizationIdstring (uuid)The organization to which this profile belongs
organizationNamestringThe name of the organization Nullable.
isOrganizationDefaultProfilebooleanWhether or not this profile is the organization default Read-only response field.
subscriberIdstring (uuid)If not null, this is a private profile Nullable.
isPrivateProfilebooleanRead-only response field.
isActivebooleanSupport soft deletes of profiles
risk_categoriesarray of OrganizationRiskCategoryNullable.
key_wordsKeyWords
general_settingsGeneralSettings
disabledPlatformsarray of stringA list of social media platforms this profile has turned off. This list is exclusionary: if it is not empty, then handles on those platforms are not scraped and profiles found there are not attached automatically. If the list is empty, every platform applies. Nullable.
lastEditedstring (date-time)
lastEditedBystring (uuid)The ID of the Subscriber who last edited this profile. Null when the profile was last edited via the external API. Nullable.
lastEditedByNamestringThe display name of the person or system that last edited this profile. Populated at write time. For human edits this is “{FirstName} {LastName}”; for external API edits this is the API client’s Owner name. Nullable.
risk_categories properties
PropertyTypeDescription
idinteger (int32)
namestringNullable.
activeboolean
sort_orderinteger (int32)
risk_typeRiskType
key_words properties
PropertyTypeDescription
is_activeboolean
key_wordsarray of KeywordNullable.
general_settings properties
PropertyTypeDescription
email_mebooleanIndicates whether to send background check status change emails to the user specified in NotificationEmailAddress
notificationEmailAddressstringNullable.
email_subject_owner_on_completionbooleanWhen true, causes emails to be sent only upon mark redressed for organizations with Analyst Assistance, or upon run complete w/o Analyst Assistance.
is_flaggedboolean
is_negativeboolean
is_positiveboolean
hide_logosboolean
includeHelpPagesOnBackgroundReportboolean
includeHyperlinksInReportsboolean
include_web_news_postsbooleanIf true, a news/web search will be performed for the subject, and results will be added as new posts
minimum_web_post_confidence_levelstringString representation of MinimumWebPostConfidenceLevel, because of inconsistency in the way enums are serialized in the API Nullable.
include_fcrabooleanBoolean to indicate whether FCRA warnings and disclaimers are shown, and to control number of years of posts to fetch
isFCRAYearsOverridenbooleanWhen set to true, allows for AlternativeNumberOfYearsForPosts to specify number of years of posts to fetch
alternativeNumberOfYearsForPostsinteger (int32)If IsFCRAYearsOverriden is true, number of years of posts to retrieve Nullable.
anonymizeProfilePictureInReportsboolean
includePostInsightsInReportsboolean
basicInsightsIsOnePageboolean
report_background_colorstringBackground color for the report. Nullable.
hideSentimentOnReportsbooleanIf true then don’t display sentiment icon on posts pages in reports
useAlternateDisclaimerTextbooleanA boolean to indicate whether the organization’s “Alternate Disclaimer Text” should be used in the report
showZeroScoreWhenNoHandlesboolean“Show Score as 0 when no handles”
excludeHandleBiosOnCoverPageboolean“Exclude Handle Bio’s on cover page”
excludeScoreOnPostsInsightsboolean“Exclude score on post insights”
isPrinterFriendlyReportbooleanBoolean to indicate that the report style should be “printer friendly”
reportAnalyticsSectionsReportAnalyticsSections
includeAbstractboolean
excludeFlaggedPostSummaryboolean
postTypesToAnalyzearray of stringA list of post types that will be analyzed in the report. This list is exclusionary: if it is not empty, then only the post types in this list will be analyzed. If the list is empty, all post types will be analyzed. Nullable.
showBehaviorIconsInReportsbooleanGets or sets a value indicating whether to show behavior icons on reports.
redactNudeImagesInReportsbooleanGets or sets a value indicating whether to redact nude images in reports.
group_posts_bystringString representation of GroupPostsBy, because of inconsistency in the way enums are serialized in the API Nullable.
report_language_iso_codestringGets or sets a value indicating report language ISO code Nullable.
includePostTagsInReportsbooleanBoolean to indicate whether to include each post’s Tags in reports
hideSubjectProvidedPropertiesInReportsbooleanBoolean to indicate whether to hide section with subject provided properties in reports.
disableAutomaticAgenticSearchbooleanIf true, prevents automatic agentic AI profile search from being initiated when a subject is assigned to an analyst or when a background check is initiated.